Skip to main content
GET
Get TTS Voices

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours at https://easy-peasy.ai/settings/api

Query Parameters

language
string

Filter voices by language (e.g., "English", "Spanish", "French")

accent
string

Filter voices by accent (e.g., "American", "British", "Australian")

gender
enum<string>

Filter ready-made voices by gender

Available options:
female,
male,
neutral
age
enum<string>

Filter ready-made voices by age

Available options:
young,
middle_aged,
old
use_case
enum<string>

Filter ready-made voices by what they are made for

Available options:
conversational,
narrative_story,
informative_educational,
social_media,
characters_animation,
entertainment_tv,
advertisement
include_custom
boolean
default:true

Include user's custom cloned voices in the response (requires authentication)

Response

Successfully retrieved voices

voices
object[]
required

Array of voice objects

total
integer
required

Total number of voices returned

Example:

50

filters
object
required

Filters that were applied to the results

available
object
required

Available filter options based on current results